<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Modelo de Franquicia</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row>
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center white--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="white--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
export default {
  data() {
    return {
      cards: [
        {
          title: "Gestionar franquicia",
          src: require("@/assets/img/gestionarFranquicia.svg"),
          description: "Selecciona si deseas editar o crear una franquicia.",
          to: {
            name: "modelo_franquicia_franquicias",
          },
          color: "#808080",
        },
        {
          title: "Gestionar Protocolos",
          src: require("@/assets/img/gestionarProtocolos.svg"),
          description:
            "Administración de protocolos, realiza la subida masiva de protocolos.",
          to: {
            name: "modelo_franquicia_protocolos_home",
          },
          color: "#494949",
        },
        {
          title: "Puntos de Contacto",
          src: require("@/assets/img/gestionar-puntos-contacto-b.svg"),
          description:
            "Visualiza información y administra puntos de puntos de contacto.",
          to: {
            name: "modelo_franquicia_home_puntos_contacto",
          },
          color: "#494949",
        },
        /*
        {
          title: "Asignaciones",
          src: require("@/assets/img/gestionar-puntos-contacto-b.svg"),
          description:
            "Dar de alta asignaciones.",
          to: {
            name: "modelo_franquicia_asignaciones_home_asignacion"
          },
          color: "#494949"
        }/*,
        {
          title: "Modelo de revisión en sitio",
          src: require("@/assets/img/revision-en-sitio.svg"),
          description: "Modelo en revisión en sitio.",
          to: {
            name: "modelo_franquicia_revision_sitio"
          },
          color: "#494949"
        },
        {
          title: "Aseguramiento del estándar",
          src: require("@/assets/img/aseguramiento-estandar.svg"),
          description: "Aseguramiento de estándar.",
          to: {
            name: "modelo_franquicia_aseguramiento_estandar"
          },
          color: "#494949"
        }*/
      ],
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Franquicia",
          disabled: true,
        },
      ],
    };
  },
};
</script>
